Spotify 1.1.84.716 (27/4-22)

Program du kör i Slackware Linux - T.ex. Gimp, DeadBeef, Firefox etc...

Moderatorer: Nille, nomicon, Minime

Användarens profilbild
MDKDIO
Kodnisse
Inlägg: 2199
Blev medlem: 21 apr 2005 08:24
ORT: Bollnäs

Spotify 1.1.84.716 (27/4-22)

Inlägg av MDKDIO »

Test Ok, samma gamla vanliga libcurl.so.4 fel som tidigare...
"/opt/spotify/usr/share/spotify/libcurl-gnutls.so.4: no version information available (required by /opt/spotify/usr/bin/spotify)"

I övrigt fungerar Spotify som det ska (så långt jag har testat IAF)

Länk för *.deb paketet

SlackBuild för 15.0

(jag använder dock inte denna SlackBuild själv)
Slackware 64-bit 15.0 (Desktop x2)
Slackware 64-bit Current (Laptop)
Slackware 64-bit 15.0 (Laptop x2)
Slackware 64-bit 15.0 (XFCE) (Netbook)
Användarens profilbild
MDKDIO
Kodnisse
Inlägg: 2199
Blev medlem: 21 apr 2005 08:24
ORT: Bollnäs

Re: Spotify 1.1.84.716 (27/4-22)

Inlägg av MDKDIO »

Noterade nyss att det finns en uppdatering av Spotify, men samma versionsnummer...
spotify-client_1.1.84.716.gc5f8b819-2 (16/11-22)

Det som skiljer är det i "fet stil". Hittar ingen direkt info om vad som är "nytt"

Jag gissar på cert rel "problem"

Redigerat: Det visar sig vara APT-key (vad jag kunde se IAF...)
Slackware 64-bit 15.0 (Desktop x2)
Slackware 64-bit Current (Laptop)
Slackware 64-bit 15.0 (Laptop x2)
Slackware 64-bit 15.0 (XFCE) (Netbook)
Användarens profilbild
MDKDIO
Kodnisse
Inlägg: 2199
Blev medlem: 21 apr 2005 08:24
ORT: Bollnäs

Re: Spotify 1.1.84.716 (27/4-22)

Inlägg av MDKDIO »

Jag noterade att något hänt med SBo's slackbuild för spotify. Osäker på när och vad.

Men på en laptop där jag inte har haft spotify installerat tidigare, så fick jag följande felmeddelande:

Kod: Markera allt

[0112/144419.751013:FATAL:gpu_data_manager_impl_private.cc(447)] GPU process isn't usable. Goodbye.
Vad det beror på vet jag inte, men flera har rapporterat problemet...

Min lösning var:
Starta spotify med parametern --no-zygote
Alltså i konsollen: spotify --no-zygote

I övrigt så hade jag samma "problem" som tidigare med libcurl-gnutls.so.4

Redigerat:
Ska lägga till att SlackBuild inte installerar spotify till /opt... längre, utan till /usr/share/spotify/
Och dessutom anges libcurl som dependency men den version som hänvisningen anger finns redan i 15.0 om man har hållt systemet uppdaterat...
Så för att länka libcurl.so.4 filen...
ln -s /usr/lib64/libcurl.so.4 /usr/share/spotify/libcurl-gnutls.so.4 (som root)
Slackware 64-bit 15.0 (Desktop x2)
Slackware 64-bit Current (Laptop)
Slackware 64-bit 15.0 (Laptop x2)
Slackware 64-bit 15.0 (XFCE) (Netbook)
Användarens profilbild
Minime
Labrat
Inlägg: 691
Blev medlem: 14 okt 2005 14:27
ORT: Loos

Re: Spotify 1.1.84.716 (27/4-22)

Inlägg av Minime »

MDKDIO skrev: 12 jan 2023 14:54 Jag noterade att något hänt med SBo's slackbuild för spotify. Osäker på när och vad.

Men på en laptop där jag inte har haft spotify installerat tidigare, så fick jag följande felmeddelande:

Kod: Markera allt

[0112/144419.751013:FATAL:gpu_data_manager_impl_private.cc(447)] GPU process isn't usable. Goodbye.
Vad det beror på vet jag inte, men flera har rapporterat problemet...

Min lösning var:
Starta spotify med parametern --no-zygote
Alltså i konsollen: spotify --no-zygote

I övrigt så hade jag samma "problem" som tidigare med libcurl-gnutls.so.4

Redigerat:
Ska lägga till att SlackBuild inte installerar spotify till /opt... längre, utan till /usr/share/spotify/
Och dessutom anges libcurl som dependency men den version som hänvisningen anger finns redan i 15.0 om man har hållt systemet uppdaterat...
Så för att länka libcurl.so.4 filen...
ln -s /usr/lib64/libcurl.so.4 /usr/share/spotify/libcurl-gnutls.so.4 (som root)
Vad gällande libcurl problemet så finns det nu en lösning på detta:
https://slackbuilds.org/repository/15.0 ... rl-gnutls/

Man bygger helt enketl ett paket libcurl som länkas mot gnutls så slipper man helt enkelt att länka libcurl manuellt mot spotifys libcurl-gnutls.so.4
Man bygger helt enkelt libcurl-gnutls paket som man kör paralellt med slackware´s egna libcurl paket

Raspberry Pi 4B 4 Gb RAM Slackware Arm 15.0
Server EeeBox Atom 1.6 GHz 1.5 Gb RAM Slackware 15.0 x64bit
Asus Rog Strix AMD Ryzen 5 3.6 GHz 16 Gb RAM Slackware 15.0 multilib
Miraclebox Premium Twin HD - Openvix 5.2.040 (Neotion CI+ CA-modul)
Användarens profilbild
MDKDIO
Kodnisse
Inlägg: 2199
Blev medlem: 21 apr 2005 08:24
ORT: Bollnäs

Re: Spotify 1.1.84.716 (27/4-22)

Inlägg av MDKDIO »

Tack minime!

Så det var jag som var lat igen, och inte läste README fullt ut...

Jag får testa efter att scribus paket bygget är klart (behöver en snabbare/nyare laptop...)
Slackware 64-bit 15.0 (Desktop x2)
Slackware 64-bit Current (Laptop)
Slackware 64-bit 15.0 (Laptop x2)
Slackware 64-bit 15.0 (XFCE) (Netbook)
Användarens profilbild
MDKDIO
Kodnisse
Inlägg: 2199
Blev medlem: 21 apr 2005 08:24
ORT: Bollnäs

Re: Spotify 1.1.84.716 (27/4-22)

Inlägg av MDKDIO »

Funkade det? Delvis...

Jag får fortfarande samma fel som tidigare, men spotify startar IAF som det ska
(på samma sätt som om man manuellt länkar libcurl filen som tidigare)

Alltså:

Kod: Markera allt

bash-5.1$ spotify 
spotify: /usr/lib64/libcurl-gnutls.so.4: no version information available (required by spotify)
/usr/share/spotify/spotify: /usr/lib64/libcurl-gnutls.so.4: no version information available (required by /usr/share/spotify/spotify)
/usr/share/spotify/spotify: /usr/lib64/libcurl-gnutls.so.4: no version information available (required by /usr/share/spotify/spotify)
/proc/self/exe: /usr/lib64/libcurl-gnutls.so.4: no version information available (required by /proc/self/exe)
Alltså, precis som tidigare. Något man får leva med :D
Slackware 64-bit 15.0 (Desktop x2)
Slackware 64-bit Current (Laptop)
Slackware 64-bit 15.0 (Laptop x2)
Slackware 64-bit 15.0 (XFCE) (Netbook)
bittin
Lärling
Inlägg: 83
Blev medlem: 17 jan 2022 21:14

Re: Spotify 1.1.84.716 (27/4-22)

Inlägg av bittin »

Denna tråden hjälpte mig för några dagar sen, så tackar för det :)
Slackware 15.1 64-bit Current (IceWM) (Laptop)